Bug 89722 - Add 'nofb' to syslinux help screen
Add 'nofb' to syslinux help screen
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-26 17:38 EDT by Michal Jaegermann
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-14 16:16:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2003-04-26 17:38:29 EDT
Description of problem:

When trying to boot into a text or rescue modes on an Acer 230 Travelmate
laptop (Intel i845 video) everything is fine until "running /sbin/loader"
(or something pretty close) shows up on a screen.  At this moment
screen goes into a funk state blinking all the time and making it
hard to read.  It appears that an image wraps-up over a top, cursor
is loosing its position, text shows up in wrong places and it is
a blinking gray on a black instead of white on black.  Even typing
"in blind" is not much help as most of results ends up below a screen
edge.

A graphic screen is also not that great (nasty distorted fonts and jagged
lines all over the place) but somewhat usable unless one needs to
visit a text console which is then mostly covered by a blue-gray blob
and really has nothing to offer.

No amount of specifying vga modes and/or screen resolutions seems to
help.  All of that is just ignored the moment we are hitting '/sbin/loader',
even if a parameter had some effect on a screen look up to this moment,
and things go haywire.

OTOH when booting a CD from RH 7.3 distribution nothing of that sort
happens.  Text consoles remain "normal" and usable.  I have to give
'nopcmcia' to boot or otherwise the whole process is stuck on PCMCIA
cards detection but one past that everything is fine.
Comment 1 Michael Fulbright 2003-04-28 15:04:30 EDT
Please try adding 'nofb' to the boot command line.
Comment 2 Michal Jaegermann 2003-04-28 18:13:40 EDT
> Please try adding 'nofb' to the boot command line.

Does not seem to be doing anything useful.

OTOH on this laptop there is a "function key" which switches between
an external monitor, or a built-in display or both.  In one of these
positions in a cycle (I think that this is "both" but I did not have
an external display attached) a screen becomes readable as a much smaller
rectangle in a center probably in 800x600 mode.  Even a graphic installation
display starts looking ok although substantially reduced in size.
Comment 3 Michal Jaegermann 2003-04-28 23:40:56 EDT
Contrary to what I said before 'nofb' seems to help in an essential way.
Either I mistyped something previously or the fact, I discovered in the
meantime, that some weirdly named option in BIOS has a direct bearing
on how much of a graphic memory is available is also not without significance
here.

OTOH a "small picture" method described above still looks the best. :-)
No strangely stretched pixels and lines doubled in unexpected places.
Still it would be really nice if 'nofb' while booting/installing would be
mentioned somewhere on help screens.  Currently it is not there.
Comment 4 Michael Fulbright 2003-05-13 12:37:01 EDT
I'll see if we can fit it in.
Comment 5 Michael Fulbright 2003-06-25 15:36:44 EDT
Done.
Comment 6 Mike McLean 2003-08-14 16:16:43 EDT
confirmed. closing.

Note You need to log in before you can comment on or make changes to this bug.